From f197ae03c3b0ae83334e1c3a799dcc094faa84f8 Mon Sep 17 00:00:00 2001
From: rupesh potharla <rupesh.potharla@amd.com>
Date: Thu, 29 Sep 2022 17:49:07 +0530
Subject: [PATCH] Ignore DWARF debug information for -gsplit-dwarf with
 dwarf-5.

Skip dwo_id for split dwarf.
 * dwarf2.c (parse_comp_unit): Skip DWO_id for DW_UT_skeleton.
---
 bfd/dwarf2.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/bfd/dwarf2.c b/bfd/dwarf2.c
index 4a6a1e40185..011bf886e16 100644
--- a/bfd/dwarf2.c
+++ b/bfd/dwarf2.c
@@ -4441,6 +4441,10 @@ parse_comp_unit (struct dwarf2_debug *stash,
       return NULL;
     }
 
+  /* Skip DWO_id field.  */
+  if (unit_type == DW_UT_skeleton)
+    info_ptr += 8;
+
   /* Read the abbrevs for this compilation unit into a table.  */
   abbrevs = read_abbrevs (abfd, abbrev_offset, stash, file);
   if (! abbrevs)
-- 
2.25.1

